#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
# $Id: check_deluser.pl
# This handler checks preconditions for deleting a user.

use CCE;
use Base::HomeDir qw(homedir_create_user_link homedir_get_group_dir);

my $cce = new CCE;
$cce->connectfd();

# retreive user object data:
my $old = $cce->event_old();

# check for override flag
if ($old->{noFileCheck}) {
    $cce->bye('SUCCESS');
    exit(0);
}

my ($user_link, $link_target) = homedir_create_user_link($old->{name}, 
                                    $old->{site}, $old->{volume});
my $group_dir = homedir_get_group_dir($old->{site}, $old->{volume});

$link_target =~ s/^\.\.//;
$link_target = $group_dir . $link_target;

# If there are files outside of the user's home directory that the user
# owns, then don't allow the delete.  If they put a file in the site's
# web or ftp directory, there is a good chance that the admin will want
# to keep those files. This forces the admin to decide what to do instead
# of just erasing the files and hoping that was the desired action.
#my $result = system("find $group_dir -user $old->{name} | grep -v $user_link | grep -v $link_target");
#
#if ($result != 256) {
#   $cce->warn("[[base-user.cleanupOldFiles]]");
#   $cce->bye("FAIL");
#   exit(0);
#}

$cce->bye("SUCCESS");
exit(0);

# 
# Copyright (c) 2008-2022 Michael Stauber, SOLARSPEED.NET
# Copyright (c) 2008-2022 Team BlueOnyx, BLUEONYX.IT
# Copyright (c) 2003 Sun Microsystems, Inc. 
# All Rights Reserved.
# 
# 1. Redistributions of source code must retain the above copyright 
#    notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright 
#    notice, this list of conditions and the following disclaimer in 
#    the documentation and/or other materials provided with the 
#    distribution.
# 
# 3. Neither the name of the copyright holder nor the names of its 
#    contributors may be used to endorse or promote products derived 
#    from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
# COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
# POSSIBILITY OF SUCH DAMAGE.
# 
# You acknowledge that this software is not designed or intended for 
# use in the design, construction, operation or maintenance of any 
# nuclear facility.
# 